import { useEffect } from "react";

let timer: any = null;

export const useMultiClickProtector = (delay: number) => {

    useEffect(() => () => {
        clearTimeout(timer);

        timer = null;
    }, []);

    const handleMultiClickProtector = (cb: (props?: any) => any) => () => {
        if (timer) return;

        timer = setTimeout(() =>{

            timer = null

        }, delay);

        cb();
    }

    return { handleMultiClickProtector }
}
